import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  appointmentId: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  mimeType: SortOrderSchema.optional(),
  filePath: SortOrderSchema.optional()
}).strict();
export const AppointmentFileCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentFileCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentFileCountOrderByAggregateInput>;
export const AppointmentFileCountOrderByAggregateInputObjectZodSchema = makeSchema();
